multimediad (0.5-2~diablo2) unstable; urgency=low

  * Help to fix bug 81554, BTHS does not work on RX-44/48.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed, 12 Mar 2008 15:01:04 +0200

multimediad (0.5-2~diablo1) unstable; urgency=low

  * Fix bug id in 0.4-43 (from #76322 to #77977)

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed, 20 Feb 2008 09:51:32 +0200

multimediad (0.5-2~diablo) unstable; urgency=low

  * Adjust mic capture volume on RX-44.
  (see bug NB#79278)

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 14 Feb 2008 15:08:30 +0200

multimediad (0.5-1~diablo) unstable; urgency=low

  * Diablo change: do not activate the audio service when is not activated
    itself.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Tue, 29 Jan 2008 15:53:30 +0200

multimediad (0.4-43) unstable; urgency=low

  * Hardening mvi_get_snd_card_name(). Fixes: NB#77977

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Tue, 20 Nov 2007 12:08:31 +0200

multimediad (0.4-42) unstable; urgency=low

  * Remove unnecessary multimediad-schemas.schemas.
    - TODO: maemoize apps/osso/sound namespace.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed, 24 Oct 2007 12:38:02 +0300

multimediad (0.4-41) unstable; urgency=low

  * Fix signal handler if a second signal comes. Fixes: NB#73770

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Fri, 19 Oct 2007 11:32:18 +0300

multimediad (0.4-40) unstable; urgency=low

  * Do not forward BTHS button pressed signal when the headset is
    Connected, but only when it's playing. Fixes: NB#71466

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 11 Oct 2007 19:31:53 +0300

multimediad (0.4-39) unstable; urgency=low

  * Alarm is not heard when booting in level 5. Fixes: NB#72248.
    Reopening bug 67721, which should be handled in a lower level.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Mon,  8 Oct 2007 11:56:27 +0300

multimediad (0.4-38) unstable; urgency=low

  * On TSC (rx34). mic capture volume adjusted to:
  - headphone 79%
  - loudspeaker 88%
  - headset 93%

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Fri,  5 Oct 2007 14:41:14 +0300

multimediad (0.4-37) unstable; urgency=low

  * Fix Bluetooth headset takes over wired headset (when force_loudspeaker). Fixes: NB#71656

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Tue,  2 Oct 2007 14:49:50 +0300

multimediad (0.4-36) unstable; urgency=low

  * Improve Flash/Background playback management (meaning: it should fix bugs :)

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Tue,  2 Oct 2007 14:01:09 +0300

multimediad (0.4-35) unstable; urgency=low

  * Mute BTHS when volume is 0. Fixes: NB#71437

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Mon,  1 Oct 2007 15:46:45 +0300

multimediad (0.4-34) unstable; urgency=low

  * Remove useless? and wrong DSP initialization code. Fixes: NB#68788

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Tue, 11 Sep 2007 11:21:14 +0300

multimediad (0.4-33) unstable; urgency=low

  * Avoid ALSA ctl fd leaking. Fixes: NB#68635

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu,  6 Sep 2007 14:38:22 +0300

multimediad (0.4-32) unstable; urgency=low

  * Don't start multimediad in run-level 5. Fixes: NB#67721

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu,  6 Sep 2007 12:49:46 +0300

multimediad (0.4-31) unstable; urgency=low

  * Mute capture too. Fixes: NB#67539

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Mon,  3 Sep 2007 17:36:08 +0300

multimediad (0.4-30) unstable; urgency=low

  * Fix DSP mode when BTHS -> Loudspeaker. Fixes: NB#67719

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Fri, 31 Aug 2007 16:25:44 +0300

multimediad (0.4-29) unstable; urgency=low

  * Correct Mic1 capture volume to 0dB.
  * Disable codecs part when BT is active. Fixes: NB#63466

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 30 Aug 2007 16:40:58 +0300

multimediad (0.4-28) unstable; urgency=low

  * Improper headset to loudspeaker routing when BTHS has been used. Fixes: NB#67216

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed, 29 Aug 2007 21:12:03 +0300

multimediad (0.4-27) unstable; urgency=low

  * Adjust Mic1 capture volume to 0dB & Capture volume to 35dB.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Tue, 28 Aug 2007 12:34:00 +0200

multimediad (0.4-26) unstable; urgency=low

  * Fix forever headset detection loop. Fixes: NB#66655
  Patch by: Laako Jussi

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Mon, 27 Aug 2007 11:18:00 +0300

multimediad (0.4-25) unstable; urgency=low

  * Remove RX-34 tuning parameter workaround for RX-44. Fixes: NB#64462
  * Magic BTHS enable/disable mute/unmute nightmare work.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 16 Aug 2007 16:08:00 +0300

multimediad (0.4-24) unstable; urgency=low

  * Allow muting BTHS device. Fixes: NB#65953
  * Play alarm through loudspeaker even when BTHS is connected. Fixes: NB#65949
  * BTHS volume control fixed. Fixes: NB#65698

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 16 Aug 2007 16:08:00 +0300

multimediad (0.4-23) unstable; urgency=low

  * Revert init start to 25.
  * Send BT DSP mode. Fixes: NB#61262

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Tue, 14 Aug 2007 13:50:00 +0300

multimediad (0.4-22) unstable; urgency=low

  * Added missing schemas for system volume.
  * Using start seq init at 57 (after bluez)

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Tue, 14 Aug 2007 13:50:00 +0300

multimediad (0.4-21) unstable; urgency=low

  * Move the GConf schemas from applet to mmd

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Mon, 13 Aug 2007 21:50:00 +0300

multimediad (0.4-20) unstable; urgency=low

  * Revert init start to 25

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Mon, 13 Aug 2007 11:22:00 +0300

multimediad (0.4-19) unstable; urgency=low

  * Adjust Mic1 caputure volume to 35dB.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Fri, 10 Aug 2007 16:27:00 +0300

multimediad (0.4-18) unstable; urgency=low

  * Lower assertion on Bluez to reduce amount of message logging. Fixes: NB#64778
  * Change init start from 25 to 57 (right after bluez)
  * Add the ability to disconnect an bt audio device

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 26 Jul 2007 14:53:00 +0300

multimediad (0.4-17) unstable; urgency=low

  * Fix digital mic switch on RX-44. Fixes: NB#63466

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 26 Jul 2007 14:53:00 +0300

multimediad (0.4-16) unstable; urgency=low

  * Change the BTHS speaker gain when the gconf master volume key is updated.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 26 Jul 2007 14:53:00 +0300

multimediad (0.4-15) unstable; urgency=low

  * Workaround to force RX34 APOP parameters on RX44 hardware. Fixes: NB#62761
  * Reverting back the previous mic enable workaround.

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Thu, 26 Jul 2007 15:21:42 +0300

multimediad (0.4-14) unstable; urgency=low

  * Interaction part handle "Internal keyboard". Fixes: NB#62780

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed, 25 Jul 2007 14:53:00 +0300

multimediad (0.4-13) unstable; urgency=low

  * Workaround for mic enable in RX-44. Fixes: NB#62761

 -- Andrea Ambrosioni <andrea.ambrosioni@nokia.com>  Mon, 23 Jul 2007 15:11:40 +0300

multimediad (0.4-12) unstable; urgency=low

  * Remove some unuseful warning logs at boot (when bluez is not started)
  * Move a bit signal handling early during start (see NB#62507)
  * Should be compilable with RX-34 headers now (see NB#62507)
  * Add --enable-dsp-set-mode configure option (to help with bug NB#62507)
  * Fix capture switch in case of HS for RX-44.. Fixes: NB#63247

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed, 11 Jul 2007 16:02:15 +0300

multimediad (0.4-11) unstable; urgency=low

  * Enable playback management... Fixes: NB#62519

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Wed,  4 Jul 2007 12:34:15 +0300

multimediad (0.4-10) unstable; urgency=low

  * Unmute master volume when BTHS is playing (since volumebars are insensitive)
    Restore volume back when switching it off

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Tue,  3 Jul 2007 11:32:15 +0200

multimediad (0.4-9) unstable; urgency=low

  * Adding BT dsp mode. Fixes: NB#61262

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Wed, 27 Jun 2007 11:49:15 +0200

multimediad (0.4-8) unstable; urgency=low

  * Correct BTHS handling pb introduced by a recent change.

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Thu, 21 Jun 2007 10:59:15 +0200

multimediad (0.4-7) unstable; urgency=low

  * More rx-44 ALSA ctl (to deal with wired headset plug/unplug)

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Wed, 13 Jun 2007 14:31:15 +0200

multimediad (0.4-6) unstable; urgency=low

  * Change microphone switch name for TLV snd card. (help to fix NB#59580)
    Mikko just got a journeyer tribute with his oneliner patch! Thanks!

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Wed, 13 Jun 2007 14:31:15 +0200

multimediad (0.4-5) unstable; urgency=low

  * Audio is now audible on rx-44 at max level. Fixes: NB#60035
  * Fix crash when no "default headset" available. Fixes: NB#60171

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Mon, 11 Jun 2007 16:06:15 +0200

multimediad (0.4-4) unstable; urgency=low

  * Connect (sco) to the BTHS when there is a request, but add a handler to disconnect after a while
  if there is no audio activiy

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Wed,  6 Jun 2007 17:25:15 +0200

multimediad (0.4-3) unstable; urgency=low

  * Monitor bluez-audio service changes. Improve BTHS reliability.

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Mon,  4 Jun 2007 11:54:15 +0200

multimediad (0.4-2) unstable; urgency=low

  * Key-pressed not read by g_io_channel_read? Fixes: NB#59237

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Fri,  1 Jun 2007 16:27:15 +0200

multimediad (0.4-1) unstable; urgency=low

  * Change the master volume and monitor MVI GConf key. Help to Fixes: NB#55321
  * Add GConf mvi schema with default preset to 70%. Fixes: NB#58139
  * Add a signal handler (back) for BUS/INT/TERM/KILL. Fixes: NB#57327
  * Fix the Request msg reply in the playback manager. Fixes: NB#57181 NB#56139
  * Remove osso-multimedia-dsp dependency on i386
  * Bump version number to 0.4

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Mon, 28 May 2007 14:55:15 +0200

multimediad (0.3-7) unstable; urgency=low

  * Manage "Background" playback class with different rule than "Media" (Flash case)

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Mon, 28 May 2007 11:36:15 +0200

multimediad (0.3-6) unstable; urgency=low

  * Marking the old hs-48 button fix, Fixes: NB#56298

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Mon,  21 May 2007 14:22:05 +0200

multimediad (0.3-5) unstable; urgency=low

  * Automatically reconnect BTHS when wired headset is unplugged (TBD)

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Fri,  11 May 2007 11:39:05 +0200

multimediad (0.3-4) unstable; urgency=low

  * echo 2 > /sys/devices/platform/dsp/state (in order to stop/start the BT audio connection)
  * Now send "Play" and "Stop" to all connected BTHS for PM
  * Relay BTHS AnswerRequested to com.nokia.osso_hp_ls_controller.headset.button_{pressed,released}
  * Add master volume tables for TLV/AIC sound chip, and use the correct the ctl names for AIC33

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Thu,  10 May 2007 12:38:05 +0200

multimediad (0.3-3) unstable; urgency=low

  * Remove the interaction fork + remove a "catch thm'all" message handler

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Thu,  4 May 2007 11:22:05 +0200

multimediad (0.3-2) unstable; urgency=low

  * Fork the interaction part again to attempt fixing some D-Bus pb...

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Thu,  4 May 2007 11:22:05 +0200

multimediad (0.3-1) unstable; urgency=low

  * Fix interaction server on new hardware, input is more flexible

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Thu,  3 May 2007 21:45:05 +0200

multimediad (0.2-3) unstable; urgency=low

  * Guess DSP version based on ALSA card informations at runtime instead of compile time

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Thu,  3 May 2007 11:45:05 +0200

multimediad (0.2-2) unstable; urgency=low

  * Depends on RX-44 over RX-34

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Wed,  2 May 2007 17:11:48 +0200

multimediad (0.2-1) unstable; urgency=low

  * interaction-server and hss-control now run in the same process!
  * Replaces and Conflicts with osso-hss-control and osso-interaction-server

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Fri, 28 Apr 2007 23:59:48 +0200

multimediad (0.1-3) unstable; urgency=low

  * --disable-interaction for x86

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Fri, 27 Apr 2007 11:08:41 +0200

multimediad (0.1-2) unstable; urgency=low

  * Add a 1 second timeout before "org.bluez.audio.headset.play" call when getting "connected" signal

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Tue, 26 Apr 2007 11:19:41 +0200

multimediad (0.1-1) unstable; urgency=low

  * Renaming "hss" 1.0.10 to "multimediad"
  * Merge with osso-interaction-server
  * Init script is now "multimediad", and binary is located under /usr/sbin

 -- Marc-Andre Lureau (elmarco@nokia) <marc-andre.lureau@nokia.com>  Tue, 24 Apr 2007 13:44:23 +0200
